CREATE TABLE IF NOT EXISTS `tblDoctors` (
  `DoctorID` int(11) NOT NULL AUTO_INCREMENT,
  `Title` varchar(25) DEFAULT 'Dr',
  `FirstName` varchar(20) DEFAULT NULL,
  `LastName` varchar(30) DEFAULT NULL,
  `Address1` varchar(50) DEFAULT NULL,
  `Address2` varchar(50) DEFAULT NULL,
  `Address3` varchar(40) DEFAULT NULL,
  `County` varchar(20) DEFAULT NULL,
  `PostCode` varchar(10) DEFAULT NULL,
  `HomePhone` varchar(15) DEFAULT NULL,
  `EmployedNow` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`DoctorID`),
  KEY `DoctorID` (`DoctorID`),
  KEY `PostCode` (`PostCode`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `tblReceptionist` (
  `ReceptionistID` int(11) NOT NULL AUTO_INCREMENT,
  `Title` varchar(10) DEFAULT 'Mrs',
  `FirstName` varchar(20) DEFAULT NULL,
  `LastName` varchar(30) DEFAULT NULL,
  `Address1` varchar(50) DEFAULT NULL,
  `Address2` varchar(50) DEFAULT NULL,
  `Address3` varchar(40) DEFAULT NULL,
  `County` varchar(20) DEFAULT 'Oxfordshire',
  `PostCode` varchar(10) DEFAULT NULL,
  `HomePhone` varchar(15) DEFAULT NULL,
  `Salary` decimal(19,4) DEFAULT '0.0000',
  PRIMARY KEY (`ReceptionistID`),
  KEY `ReceptionistID` (`ReceptionistID`),
  KEY `PostCode` (`PostCode`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `tblPatient` (
  `PatientID` int(11) NOT NULL AUTO_INCREMENT,
  `Title` varchar(15) DEFAULT NULL,
  `FirstName` varchar(20) DEFAULT NULL,
  `Lastname` varchar(30) NOT NULL,
  `Gender` varchar(50) DEFAULT 'Female',
  `DOB` datetime DEFAULT NULL,
  `Address1` varchar(30) DEFAULT NULL,
  `Address2` varchar(30) DEFAULT NULL,
  `Address3` varchar(30) DEFAULT NULL,
  `County` varchar(30) DEFAULT 'Oxfordshire',
  `PostCode` varchar(15) NOT NULL,
  `HomePhoneNum` varchar(15) DEFAULT NULL,
  `WorkContactNum` varchar(15) DEFAULT NULL,
  `Attending School` tinyint(1) DEFAULT '0',
  `SchoolID` int(11) DEFAULT NULL,
  PRIMARY KEY (`PatientID`),
  KEY `HomePhoneNum` (`HomePhoneNum`),
  KEY `Lastname` (`Lastname`,`FirstName`),
  KEY `PostCode` (`PostCode`),
  KEY `SchoolID` (`SchoolID`),
  KEY `WorkContactNum` (`WorkContactNum`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `tblAppointment` (
  `AppointmentID` int(11) NOT NULL AUTO_INCREMENT,
  `PatientID` int(11) NOT NULL,
  `DoctorID` int(11) NOT NULL,
  `ReceptionistID` int(11) NOT NULL,
  `TimeAndDatetaken` datetime NOT NULL,
  `AppointmentDate` date DEFAULT NULL,
  `AppointmentTime` time DEFAULT NULL,
  `AppointmentKept` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`AppointmentID`),
  KEY `DoctorID` (`DoctorID`),
  KEY `AppointmentID` (`AppointmentID`),
  KEY `PatientID` (`PatientID`),
  KEY `ReceptionistID` (`ReceptionistID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;